@interface NSMutableArray (NSMutableArray_ext)
+ (NSMutableArray*) arrayWithSet:(NSSet*) set;
- (id) popObject;
- (id) shiftObject;
- (id) pushObject:(id) object;
- (void) addObjectsFromSet:(NSSet *)otherSet;
- (void) removeFirstObject;
- (void) addObjectsFromEnumeration:(NSEnumerator	*)otherEnum;
- (BOOL) mergeObjectsFromArray:(NSArray*) list;
- (BOOL) mergeObjectsFromArray:(NSArray*) list matchingKey:(NSString*)key;
- (id) mergeObject:(id) object matchingKey:(NSString*)key;
- (unsigned) removeObjectsMatching:(NSString*)pat;
- (id) mergeObject:(id) object;
- (id) removeObject:(id) object matchingKey:(NSString*) key;
- (void) moveObjectAtIndex:(NSInteger) from toIndex:(NSInteger) to;
+ (id) arrayWithContentsOfFile:(NSString *)aPath;
+ (id) arrayWithContentsOfURL:(NSURL *)aUrl;
- (id) addUniqueObject:(id) object;
- (id) addUniqueObject:(id) object matchingKey:(NSString*)key;
- (BOOL) addUniqueObjectsFromArray:(NSArray*) list matchingKey:(NSString*)key;
- (BOOL) addUniqueObjectsFromArray:(NSArray*) list;
@end
